import {Component, inject, input} from '@angular/core';
import {TUI_BREAKPOINT, TuiButton} from '@taiga-ui/core';
import {TuiAppBarComponent} from '@taiga-ui/layout';
import {TuiPlatform} from '@taiga-ui/cdk';
import {NgTemplateOutlet} from '@angular/common';
import {TranslatePipe} from '@ngx-translate/core';
import {Router} from '@angular/router';

@Component({
  selector: 'navbar',
  imports: [
    TuiAppBarComponent,
    TuiPlatform,
    NgTemplateOutlet,
    TuiButton,
    TranslatePipe
  ],
  templateUrl: './navbar.html',
  styleUrl: './navbar.scss',
})
export class Navbar {
  breakpoint = inject(TUI_BREAKPOINT)
  router = inject(Router)
  backButtonDest = input.required<string>()
  showBackButtonAt = input<"desktopSmall"|"mobile">("mobile")
  dataAlignment = input<"left"|"center">("left")
}
